-- begin URUNDANA_USER_PROFILE
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_PERSONAL_DATA foreign key (PERSONAL_DATA_ID) references URUNDANA_PERSONAL_DATA_PROFILE(ID)^
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_JOB foreign key (JOB_ID) references URUNDANA_JOB_PROFILE(ID)^
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_DOCUMENT foreign key (DOCUMENT_ID) references URUNDANA_DOCUMENT_PROFILE(ID)^
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_BANK foreign key (BANK_ID) references URUNDANA_BANK_PROFILE(ID)^
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_PREFERENCE foreign key (PREFERENCE_ID) references URUNDANA_PREFERENCE_PROFILE(ID) on delete CASCADE^
create index IDX_URUNDANA_USER_PROFILE_ON_USER on URUNDANA_USER_PROFILE (USER_ID)^
create index IDX_URUNDANA_USER_PROFILE_ON_PERSONAL_DATA on URUNDANA_USER_PROFILE (PERSONAL_DATA_ID)^
create index IDX_URUNDANA_USER_PROFILE_ON_JOB on URUNDANA_USER_PROFILE (JOB_ID)^
create index IDX_URUNDANA_USER_PROFILE_ON_DOCUMENT on URUNDANA_USER_PROFILE (DOCUMENT_ID)^
create index IDX_URUNDANA_USER_PROFILE_ON_BANK on URUNDANA_USER_PROFILE (BANK_ID)^
create index IDX_URUNDANA_USER_PROFILE_ON_PREFERENCE on URUNDANA_USER_PROFILE (PREFERENCE_ID)^
-- end URUNDANA_USER_PROFILE
-- begin URUNDANA_JOB_PROFILE
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_LAST_EDUCATION foreign key (LAST_EDUCATION_ID) references URUNDANA_EDUCATION(ID)^
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_JOB foreign key (JOB_ID) references URUNDANA_JOB(ID)^
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_INDUSTRY_CATEGORY foreign key (INDUSTRY_CATEGORY_ID) references URUNDANA_INDUSTRY_CATEGORY(ID)^
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_INCOME foreign key (INCOME_ID) references URUNDANA_INCOME(ID)^
alter table URUNDANA_JOB_PROFILE add constraint FK_URUNDANA_JOB_PROFILE_ON_INCOME_SOURCE foreign key (INCOME_SOURCE_ID) references URUNDANA_INCOME_SOURCE(ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_USER on URUNDANA_JOB_PROFILE (USER_ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_LAST_EDUCATION on URUNDANA_JOB_PROFILE (LAST_EDUCATION_ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_JOB on URUNDANA_JOB_PROFILE (JOB_ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_INDUSTRY_CATEGORY on URUNDANA_JOB_PROFILE (INDUSTRY_CATEGORY_ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_INCOME on URUNDANA_JOB_PROFILE (INCOME_ID)^
create index IDX_URUNDANA_JOB_PROFILE_ON_INCOME_SOURCE on URUNDANA_JOB_PROFILE (INCOME_SOURCE_ID)^
-- end URUNDANA_JOB_PROFILE
-- begin URUNDANA_BANK_PROFILE
alter table URUNDANA_BANK_PROFILE add constraint FK_URUNDANA_BANK_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_BANK_PROFILE add constraint FK_URUNDANA_BANK_PROFILE_ON_BANK foreign key (BANK_ID) references URUNDANA_BANK(ID)^
create index IDX_URUNDANA_BANK_PROFILE_ON_USER on URUNDANA_BANK_PROFILE (USER_ID)^
create index IDX_URUNDANA_BANK_PROFILE_ON_BANK on URUNDANA_BANK_PROFILE (BANK_ID)^
-- end URUNDANA_BANK_PROFILE
-- begin URUNDANA_DOCUMENT_PROFILE
alter table URUNDANA_DOCUMENT_PROFILE add constraint FK_URUNDANA_DOCUMENT_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_DOCUMENT_PROFILE add constraint FK_URUNDANA_DOCUMENT_PROFILE_ON_ID_CARD_PHOTO foreign key (ID_CARD_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_DOCUMENT_PROFILE add constraint FK_URUNDANA_DOCUMENT_PROFILE_ON_SELFIE_PHOTO foreign key (SELFIE_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_DOCUMENT_PROFILE add constraint FK_URUNDANA_DOCUMENT_PROFILE_ON_NPWP_PHOTO foreign key (NPWP_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_DOCUMENT_PROFILE add constraint FK_URUNDANA_DOCUMENT_PROFILE_ON_KK_PHOTO foreign key (KK_PHOTO_ID) references SYS_FILE(ID)^
create index IDX_URUNDANA_DOCUMENT_PROFILE_ON_USER on URUNDANA_DOCUMENT_PROFILE (USER_ID)^
create index IDX_URUNDANA_DOCUMENT_PROFILE_ON_ID_CARD_PHOTO on URUNDANA_DOCUMENT_PROFILE (ID_CARD_PHOTO_ID)^
create index IDX_URUNDANA_DOCUMENT_PROFILE_ON_SELFIE_PHOTO on URUNDANA_DOCUMENT_PROFILE (SELFIE_PHOTO_ID)^
create index IDX_URUNDANA_DOCUMENT_PROFILE_ON_NPWP_PHOTO on URUNDANA_DOCUMENT_PROFILE (NPWP_PHOTO_ID)^
create index IDX_URUNDANA_DOCUMENT_PROFILE_ON_KK_PHOTO on URUNDANA_DOCUMENT_PROFILE (KK_PHOTO_ID)^
-- end URUNDANA_DOCUMENT_PROFILE
-- begin URUNDANA_CITY
alter table URUNDANA_CITY add constraint FK_URUNDANA_CITY_ON_PROVINCE foreign key (PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
create index IDX_URUNDANA_CITY_ON_PROVINCE on URUNDANA_CITY (PROVINCE_ID)^
-- end URUNDANA_CITY
-- begin URUNDANA_SUB_DISTRICT
alter table URUNDANA_SUB_DISTRICT add constraint FK_URUNDANA_SUB_DISTRICT_ON_PROVINCE foreign key (PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_SUB_DISTRICT add constraint FK_URUNDANA_SUB_DISTRICT_ON_CITY foreign key (CITY_ID) references URUNDANA_CITY(ID)^
create index IDX_URUNDANA_SUB_DISTRICT_ON_PROVINCE on URUNDANA_SUB_DISTRICT (PROVINCE_ID)^
create index IDX_URUNDANA_SUB_DISTRICT_ON_CITY on URUNDANA_SUB_DISTRICT (CITY_ID)^
-- end URUNDANA_SUB_DISTRICT
-- begin URUNDANA_PERSONAL_DATA_PROFILE
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_GENDER foreign key (GENDER_ID) references URUNDANA_GENDER(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_NATIONALITY foreign key (NATIONALITY_ID) references URUNDANA_NATIONALITY(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_MARITAL_STATUS foreign key (MARITAL_STATUS_ID) references URUNDANA_MARITAL_STATUS(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_PROVINCE foreign key (ID_CARD_PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_CITY foreign key (ID_CARD_CITY_ID) references URUNDANA_CITY(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_SUB_DISTRICT foreign key (ID_CARD_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_PROVINCE foreign key (HOME_PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_CITY foreign key (HOME_CITY_ID) references URUNDANA_CITY(ID)^
alter table URUNDANA_PERSONAL_DATA_PROFILE add constraint FK_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_SUB_DISTRICT foreign key (HOME_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_USER on URUNDANA_PERSONAL_DATA_PROFILE (USER_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_GENDER on URUNDANA_PERSONAL_DATA_PROFILE (GENDER_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_NATIONALITY on URUNDANA_PERSONAL_DATA_PROFILE (NATIONALITY_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_MARITAL_STATUS on URUNDANA_PERSONAL_DATA_PROFILE (MARITAL_STATUS_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_PROVINCE on URUNDANA_PERSONAL_DATA_PROFILE (ID_CARD_PROVINCE_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_CITY on URUNDANA_PERSONAL_DATA_PROFILE (ID_CARD_CITY_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_ID_CARD_SUB_DISTRICT on URUNDANA_PERSONAL_DATA_PROFILE (ID_CARD_SUB_DISTRICT_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_PROVINCE on URUNDANA_PERSONAL_DATA_PROFILE (HOME_PROVINCE_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_CITY on URUNDANA_PERSONAL_DATA_PROFILE (HOME_CITY_ID)^
create index IDX_URUNDANA_PERSONAL_DATA_PROFILE_ON_HOME_SUB_DISTRICT on URUNDANA_PERSONAL_DATA_PROFILE (HOME_SUB_DISTRICT_ID)^
-- end URUNDANA_PERSONAL_DATA_PROFILE
-- begin URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY
alter table URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY add constraint FK_URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY_ON_CAPITAL_FUNDING foreign key (CAPITAL_FUNDING_ID) references URUNDANA_CAPITAL_FUNDING(ID)^
alter table URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY add constraint FK_URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY_ON_INDUSTRY_CATEGORY foreign key (INDUSTRY_CATEGORY_ID) references URUNDANA_INDUSTRY_CATEGORY(ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY_ON_CAPITAL_FUNDING on URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY (CAPITAL_FUNDING_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY_ON_INDUSTRY_CATEGORY on URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY (INDUSTRY_CATEGORY_ID)^
-- end URUNDANA_CAPITAL_FUNDING_JOB_INDUSTRY
-- begin URUNDANA_USER_INVESTMENT_OBJECTIVE
alter table URUNDANA_USER_INVESTMENT_OBJECTIVE add constraint FK_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_USER_INVESTMENT_OBJECTIVE add constraint FK_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_INVESTMENT_OBJECTIVE foreign key (INVESTMENT_OBJECTIVE_ID) references URUNDANA_INVESTMENT_OBJECTIVE(ID)^
alter table URUNDANA_USER_INVESTMENT_OBJECTIVE add constraint FK_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_PREFERENCE_PROFILE foreign key (PREFERENCE_PROFILE_ID) references URUNDANA_PREFERENCE_PROFILE(ID)^
alter table URUNDANA_USER_INVESTMENT_OBJECTIVE add constraint FK_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_PROFILE foreign key (PROFILE_ID) references URUNDANA_PROFILE(ID)^
create index IDX_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_USER on URUNDANA_USER_INVESTMENT_OBJECTIVE (USER_ID)^
create index IDX_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_INVESTMENT_OBJECTIVE on URUNDANA_USER_INVESTMENT_OBJECTIVE (INVESTMENT_OBJECTIVE_ID)^
create index IDX_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_PREFERENCE_PROFILE on URUNDANA_USER_INVESTMENT_OBJECTIVE (PREFERENCE_PROFILE_ID)^
create index IDX_URUNDANA_USER_INVESTMENT_OBJECTIVE_ON_PROFILE on URUNDANA_USER_INVESTMENT_OBJECTIVE (PROFILE_ID)^
-- end URUNDANA_USER_INVESTMENT_OBJECTIVE
-- begin URUNDANA_USER_INVESTMENT_PREFERENCE
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USERINVESTMEPREFEREN_ON_INVESTMENT_PREFERENCE foreign key (INVESTMENT_PREFERENCE_ID) references URUNDANA_INDUSTRY_CATEGORY(ID)^
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PREFERENCE_PROFILE foreign key (PREFERENCE_PROFILE_ID) references URUNDANA_PREFERENCE_PROFILE(ID)^
alter table URUNDANA_USER_INVESTMENT_PREFERENCE add constraint FK_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PROFILE foreign key (PROFILE_ID) references URUNDANA_PROFILE(ID)^
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_USER on URUNDANA_USER_INVESTMENT_PREFERENCE (USER_ID)^
create index IDX_URUNDANA_USERINVESTMPREFERE_ON_INVESTMENT_PREFERENCE on URUNDANA_USER_INVESTMENT_PREFERENCE (INVESTMENT_PREFERENCE_ID)^
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PREFERENCE_PROFILE on URUNDANA_USER_INVESTMENT_PREFERENCE (PREFERENCE_PROFILE_ID)^
create index IDX_URUNDANA_USER_INVESTMENT_PREFERENCE_ON_PROFILE on URUNDANA_USER_INVESTMENT_PREFERENCE (PROFILE_ID)^
-- end URUNDANA_USER_INVESTMENT_PREFERENCE
-- begin URUNDANA_PREFERENCE_PROFILE
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_BUDGET foreign key (INVESTMENT_BUDGET_ID) references URUNDANA_INVESTMENT_BUDGET(ID)^
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_RISK_PREFERENCE foreign key (INVESTMENT_RISK_PREFERENCE_ID) references URUNDANA_INVESTMENT_RISK_PREFERENCE(ID)^
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE foreign key (INVESTMENT_ROLE_PREFERENCE_ID) references URUNDANA_INVESTMENT_ROLE_PREFERENCE(ID)^
alter table URUNDANA_PREFERENCE_PROFILE add constraint FK_URUNDANA_PREFERENCE_PROFILE_ON_SOURCE_INFO foreign key (SOURCE_INFO_ID) references URUNDANA_SOURCE_INFO(ID)^
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_USER on URUNDANA_PREFERENCE_PROFILE (USER_ID)^
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_BUDGET on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_BUDGET_ID)^
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_RISK_PREFERENCE on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_RISK_PREFERENCE_ID)^
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE on URUNDANA_PREFERENCE_PROFILE (INVESTMENT_ROLE_PREFERENCE_ID)^
create index IDX_URUNDANA_PREFERENCE_PROFILE_ON_SOURCE_INFO on URUNDANA_PREFERENCE_PROFILE (SOURCE_INFO_ID)^
-- end URUNDANA_PREFERENCE_PROFILE
-- begin URUNDANA_PROFILE
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_GENDER foreign key (GENDER_ID) references URUNDANA_GENDER(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_NATIONALITY foreign key (NATIONALITY_ID) references URUNDANA_NATIONALITY(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_MARITAL_STATUS foreign key (MARITAL_STATUS_ID) references URUNDANA_MARITAL_STATUS(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_PROVINCE foreign key (ID_CARD_PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_CITY foreign key (ID_CARD_CITY_ID) references URUNDANA_CITY(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_SUB_DISTRICT foreign key (ID_CARD_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_PROVINCE foreign key (HOME_PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_CITY foreign key (HOME_CITY_ID) references URUNDANA_CITY(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_HOME_SUB_DISTRICT foreign key (HOME_SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_LAST_EDUCATION foreign key (LAST_EDUCATION_ID) references URUNDANA_EDUCATION(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_JOB foreign key (JOB_ID) references URUNDANA_JOB(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INDUSTRY_CATEGORY foreign key (INDUSTRY_CATEGORY_ID) references URUNDANA_INDUSTRY_CATEGORY(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INCOME foreign key (INCOME_ID) references URUNDANA_INCOME(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INCOME_SOURCE foreign key (INCOME_SOURCE_ID) references URUNDANA_INCOME_SOURCE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_ID_CARD_PHOTO foreign key (ID_CARD_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_SELFIE_PHOTO foreign key (SELFIE_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_NPWP_PHOTO foreign key (NPWP_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_KK_PHOTO foreign key (KK_PHOTO_ID) references SYS_FILE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_BANK foreign key (BANK_ID) references URUNDANA_BANK(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_BUDGET foreign key (INVESTMENT_BUDGET_ID) references URUNDANA_INVESTMENT_BUDGET(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_RISK_PREFERENCE foreign key (INVESTMENT_RISK_PREFERENCE_ID) references URUNDANA_INVESTMENT_RISK_PREFERENCE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE foreign key (INVESTMENT_ROLE_PREFERENCE_ID) references URUNDANA_INVESTMENT_ROLE_PREFERENCE(ID)^
alter table URUNDANA_PROFILE add constraint FK_URUNDANA_PROFILE_ON_SOURCE_INFO foreign key (SOURCE_INFO_ID) references URUNDANA_SOURCE_INFO(ID)^
create index IDX_URUNDANA_PROFILE_ON_USER on URUNDANA_PROFILE (USER_ID)^
create index IDX_URUNDANA_PROFILE_ON_GENDER on URUNDANA_PROFILE (GENDER_ID)^
create index IDX_URUNDANA_PROFILE_ON_NATIONALITY on URUNDANA_PROFILE (NATIONALITY_ID)^
create index IDX_URUNDANA_PROFILE_ON_MARITAL_STATUS on URUNDANA_PROFILE (MARITAL_STATUS_ID)^
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_PROVINCE on URUNDANA_PROFILE (ID_CARD_PROVINCE_ID)^
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_CITY on URUNDANA_PROFILE (ID_CARD_CITY_ID)^
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_SUB_DISTRICT on URUNDANA_PROFILE (ID_CARD_SUB_DISTRICT_ID)^
create index IDX_URUNDANA_PROFILE_ON_HOME_PROVINCE on URUNDANA_PROFILE (HOME_PROVINCE_ID)^
create index IDX_URUNDANA_PROFILE_ON_HOME_CITY on URUNDANA_PROFILE (HOME_CITY_ID)^
create index IDX_URUNDANA_PROFILE_ON_HOME_SUB_DISTRICT on URUNDANA_PROFILE (HOME_SUB_DISTRICT_ID)^
create index IDX_URUNDANA_PROFILE_ON_LAST_EDUCATION on URUNDANA_PROFILE (LAST_EDUCATION_ID)^
create index IDX_URUNDANA_PROFILE_ON_JOB on URUNDANA_PROFILE (JOB_ID)^
create index IDX_URUNDANA_PROFILE_ON_INDUSTRY_CATEGORY on URUNDANA_PROFILE (INDUSTRY_CATEGORY_ID)^
create index IDX_URUNDANA_PROFILE_ON_INCOME on URUNDANA_PROFILE (INCOME_ID)^
create index IDX_URUNDANA_PROFILE_ON_INCOME_SOURCE on URUNDANA_PROFILE (INCOME_SOURCE_ID)^
create index IDX_URUNDANA_PROFILE_ON_ID_CARD_PHOTO on URUNDANA_PROFILE (ID_CARD_PHOTO_ID)^
create index IDX_URUNDANA_PROFILE_ON_SELFIE_PHOTO on URUNDANA_PROFILE (SELFIE_PHOTO_ID)^
create index IDX_URUNDANA_PROFILE_ON_NPWP_PHOTO on URUNDANA_PROFILE (NPWP_PHOTO_ID)^
create index IDX_URUNDANA_PROFILE_ON_KK_PHOTO on URUNDANA_PROFILE (KK_PHOTO_ID)^
create index IDX_URUNDANA_PROFILE_ON_BANK on URUNDANA_PROFILE (BANK_ID)^
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_BUDGET on URUNDANA_PROFILE (INVESTMENT_BUDGET_ID)^
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_RISK_PREFERENCE on URUNDANA_PROFILE (INVESTMENT_RISK_PREFERENCE_ID)^
create index IDX_URUNDANA_PROFILE_ON_INVESTMENT_ROLE_PREFERENCE on URUNDANA_PROFILE (INVESTMENT_ROLE_PREFERENCE_ID)^
create index IDX_URUNDANA_PROFILE_ON_SOURCE_INFO on URUNDANA_PROFILE (SOURCE_INFO_ID)^
-- end URUNDANA_PROFILE
-- begin URUNDANA_CAPITAL_FUNDING
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_JOB_POSITION foreign key (JOB_POSITION_ID) references URUNDANA_JOB_POSITION(ID)^
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_FORM_OF_BUSINESS foreign key (FORM_OF_BUSINESS_ID) references URUNDANA_FORM_OF_BUSINESS(ID)^
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_MANY_BRANCH_OF_BUSINESS foreign key (MANY_BRANCH_OF_BUSINESS_ID) references URUNDANA_MANY_BRANCH_OF_BUSINESS(ID)^
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_MARKETING_FUNNEL foreign key (MARKETING_FUNNEL_ID) references URUNDANA_MARKETING_FUNNEL(ID)^
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_SOURCE_INFO foreign key (SOURCE_INFO_ID) references URUNDANA_SOURCE_INFO(ID)^
alter table URUNDANA_CAPITAL_FUNDING add constraint FK_URUNDANA_CAPITAL_FUNDING_ON_APPROVAL_ACTION_BY foreign key (APPROVAL_ACTION_BY_ID) references SEC_USER(ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_JOB_POSITION on URUNDANA_CAPITAL_FUNDING (JOB_POSITION_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_FORM_OF_BUSINESS on URUNDANA_CAPITAL_FUNDING (FORM_OF_BUSINESS_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_MANY_BRANCH_OF_BUSINESS on URUNDANA_CAPITAL_FUNDING (MANY_BRANCH_OF_BUSINESS_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_MARKETING_FUNNEL on URUNDANA_CAPITAL_FUNDING (MARKETING_FUNNEL_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_SOURCE_INFO on URUNDANA_CAPITAL_FUNDING (SOURCE_INFO_ID)^
create index IDX_URUNDANA_CAPITAL_FUNDING_ON_APPROVAL_ACTION_BY on URUNDANA_CAPITAL_FUNDING (APPROVAL_ACTION_BY_ID)^
-- end URUNDANA_CAPITAL_FUNDING
-- begin URUNDANA_URBAN_VILLAGE
alter table URUNDANA_URBAN_VILLAGE add constraint FK_URUNDANA_URBAN_VILLAGE_ON_PROVINCE foreign key (PROVINCE_ID) references URUNDANA_PROVINCE(ID)^
alter table URUNDANA_URBAN_VILLAGE add constraint FK_URUNDANA_URBAN_VILLAGE_ON_CITY foreign key (CITY_ID) references URUNDANA_CITY(ID)^
alter table URUNDANA_URBAN_VILLAGE add constraint FK_URUNDANA_URBAN_VILLAGE_ON_SUB_DISTRICT foreign key (SUB_DISTRICT_ID) references URUNDANA_SUB_DISTRICT(ID)^
create index IDX_URUNDANA_URBAN_VILLAGE_ON_PROVINCE on URUNDANA_URBAN_VILLAGE (PROVINCE_ID)^
create index IDX_URUNDANA_URBAN_VILLAGE_ON_CITY on URUNDANA_URBAN_VILLAGE (CITY_ID)^
create index IDX_URUNDANA_URBAN_VILLAGE_ON_SUB_DISTRICT on URUNDANA_URBAN_VILLAGE (SUB_DISTRICT_ID)^
-- end URUNDANA_URBAN_VILLAGE
-- begin URUNDANA_INDUSTRY_CATEGORY
alter table URUNDANA_INDUSTRY_CATEGORY add constraint FK_URUNDANA_INDUSTRY_CATEGORY_ON_CAPITAL_FUNDING foreign key (CAPITAL_FUNDING_ID) references URUNDANA_CAPITAL_FUNDING(ID)^
create index IDX_URUNDANA_INDUSTRY_CATEGORY_ON_CAPITAL_FUNDING on URUNDANA_INDUSTRY_CATEGORY (CAPITAL_FUNDING_ID)^
-- end URUNDANA_INDUSTRY_CATEGORY
